<!DOCTYPE html>
<html>
    <!--
       Copyright (C) 2018  Técnico Solar Boat

        This program is free software: you can redistribute 
        it and/or modify it under the terms of the GNU General Public License 
        as published by the Free Software Foundation, either version 3 of the 
        License, or (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program.  If not, see <http://www.gnu.org/licenses/>.

        You can contact Técnico Solar Boat by email at: tecnico.solarboat@gmail.com
        or via our facebook page at https://fb.com/tecnico.solarboat  
    -->
<head>
    <title>Técnico Solar Boat</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" type="text/css" href="main.css">
    <link rel="shortcut icon" href="images/favicon.png" type="image/x-icon" />
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript" src="javascript/chart.js"></script>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
</head>

<body>

    <div id="nav">
        <img src="images/logo.png" height="68.72" width="140" class="centerImage">
        <div class="centerMenu">
            <ul>
                <li><a href="index.html">Boat data</a></li>
                <li><a href="mapa.html">Mapa</a></li>
                <li><a href="graficos.html">Gráficos</a></li>
                <li><a href="table.html">Tabelas</a></li>
                <li><a href="BSS.html">BSS</a></li>
                <li><a href="Motores.html">Motores</a></li>
            </ul>
        </div>
    </div>


    <div id="content">
        <p>Parametro:
            <select name="dropdown" id="dropdown" onchange="ShowGraph()">
			<option value="">Selecionar uma opção</option>
			<option value="ALL">Ver todos</option>
			<option value="SOC">SOC</option>
			<option value="Voltage">Tensão Bateria</option>
			<option value="RPM">RPM</option>
			<option value="Speed">Velocidade</option>
			<option value="T Mot">Temperatura do Motor</option>
			<option value="T Bat">Temperatura da Bateria</option>
			<option value="T BMS">Temperatura do BMS</option>
			<option value="T TD">Temperatura Raspberry</option>
			<option value="Motor">Corrente Motor</option>
			<option value="Paineis">Corrente Paineis</option>
			<option value="BAT">Corrente Bateria</option>
		</select>
        </p>
        <p>Janela:
            <select name="janela" id="janela" onchange="ShowGraph()">
			<option value="">Selecionar uma opção</option>
			<option value="10">10 minutos</option>
			<option value="20">20 minutos</option>
			<option value="30">30 minutos</option>
			<option value="60">1 hora</option>
			<option value="120">2 horas</option>
			<option value="180">3 horas</option>
			<option value="240">4 horas</option>
			<option value="300">5 horas</option>
			<option value="360">6 horas</option>
			<option value="720">12 horas</option>
			<option value="1440">1 dia</option>
			<option value="2880">2 dias</option>
			<option value="4320">3 dias</option>
			<option value="5520">4 dias</option>
			<option value="6960">5 dias</option>
			<option value="10080">1 semana</option>			
		</select>
        </p>

        <div id="SOC_chart" class="graficos" style="width: 100%; height: 600px;"></div>
        <div id="VOLTAGE_chart" class="graficos" style="width: 100%; height: 600px;"></div>
        <div id="RPM_chart" class="graficos" style="width: 100%; height: 600px;"></div>
        <div id="Speed_chart" class="graficos" style="width: 100%; height: 600px;"></div>
        <div id="T_Mot_chart" class="graficos" style="width: 100%; height: 600px;"></div>
        <div id="T_Bat_chart" class="graficos" style="width: 100%; height: 600px;"></div>
        <div id="T_BMS_chart" class="graficos" style="width: 100%; height: 600px;"></div>
        <div id="T_TD_chart" class="graficos" style="width: 100%; height: 600px;"></div>
        <div id="Motor_chart" class="graficos" style="width: 100%; height: 600px;"></div>
        <div id="Paineis_chart" class="graficos" style="width: 100%; height: 600px;"></div>
        <div id="BAT_chart" class="graficos" style="width: 100%; height: 600px;"></div>
    </div>

    <script>
        function ShowGraph() {
            var x = document.getElementById("dropdown").value;
            var y = document.getElementById("janela").value;
            if (x == "" || y == "") {
                return;
            }
            switch (x) {
                case "SOC":
                    $('.graficos').hide();
                    $('#SOC_chart').show(function() {
                        SOC_chart();
                    });
                    break;
                case "Voltage":
                    $('.graficos').hide();
                    $('#VOLTAGE_chart').show(function() {
                        VOLTAGE_chart();
                    });
                    break;
                case "RPM":
                    $('.graficos').hide();
                    $('#RPM_chart').show(function() {
                        RPM_chart();
                    });
                    break;
                case "Speed":
                    $('.graficos').hide();
                    $('#Speed_chart').show(function() {
                        Speed_chart();
                    });
                    break;
                case "T Mot":
                    $('.graficos').hide();
                    $('#T_Mot_chart').show(function() {
                        T_Mot_chart();
                    });
                    break;
                case "T Bat":
                    $('.graficos').hide();
                    $('#T_Bat_chart').show(function() {
                        T_Bat_chart();
                    });
                    break;
                case "T BMS":
                    $('.graficos').hide();
                    $('#T_BMS_chart').show(function() {
                        T_BMS_chart();
                    });
                    break;
                case "T TD":
                    $('.graficos').hide();
                    $('#T_TD_chart').show(function() {
                        T_TD_chart();
                    });
                    break;
                case "Motor":
                    $('.graficos').hide();
                    $('#Motor_chart').show(function() {
                        Motor_chart();
                    });
                    break;
                case "Paineis":
                    $('.graficos').hide();
                    $('#Paineis_chart').show(function() {
                        Paineis_chart();
                    });
                    break;
                case "BAT":
                    $('.graficos').hide();
                    $('#BAT_chart').show(function() {
                        BAT_chart();
                    });
                    break;
                case "ALL":
                    $('#SOC_chart').show(function() {
                        SOC_chart();
                    });
                    $('#VOLTAGE_chart').show(function() {
                        VOLTAGE_chart();
                    });
                    $('#RPM_chart').show(function() {
                        RPM_chart();
                    });
                    $('#Speed_chart').show(function() {
                        Speed_chart();
                    });
                    $('#T_Mot_chart').show(function() {
                        T_Mot_chart();
                    });
                    $('#T_Bat_chart').show(function() {
                        T_Bat_chart();
                    });
                    $('#T_BMS_chart').show(function() {
                        T_BMS_chart();
                    });
                    $('#T_TD_chart').show(function() {
                        T_TD_chart();
                    });
                    $('#Motor_chart').show(function() {
                        Motor_chart();
                    });
                    $('#Paineis_chart').show(function() {
                        Paineis_chart();
                    });
                    $('#BAT_chart').show(function() {
                        BAT_chart();
                    });
                    $('.graficos').show();
                    break;
                default:
                    $('.graficos').hide();
            }
        }
    </script>


</body>

</html>